from rest_framework import serializers
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class BMCModelloDiBusinessSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCModelloDiBusiness
        fields = ('descrizione')


class BMCPartnerChiaveSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCPartnerChiave
        fields = ('partnership_azienda', 'modello_di_business')


class BMCSegmentiDiClientelaSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCSegmentiDiClientela
        fields = ('settore_cliente', 'modello_di_business')


class BMCRelazioneConClienteSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCRelazioneConCliente
        fields = ('relazione_cliente', 'modello_di_business')


class BMCAttivitaChiaveSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCAttivitaChiave
        fields = ('attivita_chiave', 'modello_di_business')


class BMCPropostaDiValoreSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCPropostaDiValore
        fields = ('proposta_di_valore', 'modello_di_business')


class BMCRisorsaChiaveSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCRisorsaChiave
        fields = ('risorsa_chiave', 'modello_di_business')


class BMCFlussoDiRicaviSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCFlussoDiRicavi
        fields = ('flusso_di_ricavi', 'modello_di_business')


class BMCCanaleDiDistribuzioneSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.BMCCanaleDiDistribuzione
        fields = ('canale', 'modello_di_business')
